using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Repositorio.DAL.Repositorio;
using Repositorio.Entidades;
using System.Data.Entity;
using System.Data.SqlClient;
using Repositorio.DAL.Contexto;


namespace Repositorio.Console
{
    
    class Program
    {
        static void Main(string[] args)
        {
             Adicionar();
             AdicionarTipoEvento();
        }

       private static void Adicionar()
        {
            using (var repClientes = new LocalRepositorio())
            {
                new List<Local>
                {
                    new Local { Nome="Microsoft",Telefone="99",Endereco="9", Email="jlimacarlos@hotmail.com",Bairro="jabaquara",Estado="UF",link="wwww"} 
                    
                }.ForEach(repClientes.Adicionar);

                repClientes.SalvarTodos();
                

               
                System.Console.WriteLine("Clientes adicionadas com sucesso.");

                System.Console.WriteLine("=======  clientes cadastrados ===========");
                foreach (var c in repClientes.GetAll())
                {
                    System.Console.WriteLine("{0} - {1}", c.Estado, c.Nome);
                }

                System.Console.ReadKey();
            }
        }

             private static void AdicionarTipoEvento()
        {
            using (var repTipo = new TipoEventoRepositorio())
            {
                new List<TipoEvento>
                {
                    new TipoEvento { Descricao="Microsoft"},
                    new TipoEvento { Descricao="Google"},
                    new TipoEvento { Descricao="Oracle"}
                }.ForEach(repTipo.Adicionar);

                repTipo.SalvarTodos();
                

               
                System.Console.WriteLine("Clientes adicionadas com sucesso.");

                System.Console.WriteLine("=======  clientes cadastrados ===========");
                foreach (var c in repTipo.GetAll())
                {
                    System.Console.WriteLine("{0} - {1}", c.Descricao);
                }

                System.Console.ReadKey();
            }
        }
    }
    }

    

